Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.bigdecimal
Class BigDecComponents

    java.lang.Object
      com.singularsys.jep.ComponentSet
          com.singularsys.jep.bigdecimal.BigDecComponents

    public class BigDecComponents

extends ComponentSet

Field Summary

Fields inherited from class com.singularsys.jep.ComponentSet
`evaluator, funTab, nodeFac, numFac, opTab, parser, pv, varFac, varTab`

Constructor Summary
`BigDecComponents()` Constructs the class using the `MathContext.UNLIMITED` for unlimited precision arithmetic.
`BigDecComponents(java.math.MathContext mc)` Contructs the class with the specific math context.

Method Summary
`java.math.MathContext` | `getMathContext()`
`void` | `setMathContext(java.math.MathContext mc)`

Methods inherited from class com.singularsys.jep.ComponentSet
`getComponents, getEvaluator, getFunctionTable, getNodeFactory, getNumberFactory, getOperatorTable, getParser, getPrintVisitor, getVariableFactory, getVariableTable, setEvaluator, setFunctionTable, setNodeFactory, setNumberFactory, setOperatorTable, setParser, setPrintVisitor, setVariableFactory, setVariableTable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BigDecComponents

    public BigDecComponents()

  Constructs the class using the `MathContext.UNLIMITED` for unlimited precision arithmetic.

### BigDecComponents

    public BigDecComponents(java.math.MathContext mc)

  Contructs the class with the specific math context. The math context is passed the number factory, function table, and operator table constructors.

  Parameters:
    `mc` - the math context for the components.

Method Detail

### getMathContext

    public java.math.MathContext getMathContext()

### setMathContext

    public void setMathContext(java.math.MathContext mc)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Singular Systems http://www.singularsys.com/jep